## lbfgspp 0.1.0

=== debian/changelog ===
lbfgspp (0.1.0-1) unstable; urgency=medium

  * d/watch: Seek versioned releases instead of git head
    now that upstream tagged a release
  * New upstream version 0.1.0
  * d/examples: Install examples from examples dir

 -- Nilesh Patra <nilesh@debian.org>  Sat, 06 Nov 2021 19:41:14 +0530

lbfgspp (0.0+git20210613.d50344d-1) unstable; urgency=medium

  * Initial release (Closes: #991072)

 -- Nilesh Patra <nilesh@debian.org>  Tue, 13 Jul 2021 20:55:33 +0530
