=== debian/control ===
Source: lbfgspp
Section: libdevel
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Nilesh Patra <nilesh@debian.org>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/science-team/lbfgspp
Vcs-Git: https://salsa.debian.org/science-team/lbfgspp.git
Homepage: https://github.com/yixuan/LBFGSpp
Rules-Requires-Root: no

Package: liblbfgspp-dev
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, libeigen3-dev
Description: C++ library that implements the Limited-memory BFGS algorithm
 LBFGS++ is a header-only C++ library that implements the Limited-memory BFGS
 algorithm (L-BFGS) for unconstrained minimization problems, and a modified
 version of the L-BFGS-B algorithm for box-constrained ones.
