## lbfgspp 0.4.0

=== debian/changelog ===
lbfgspp (0.4.0-1) unstable; urgency=medium

  * Team Upload.
  * New upstream version 0.4.0
  * Move d/watch to version 5
  * Add d/gbp.conf
  * Bump Standards-Version to 4.7.2 (no changes needed)
  * Drop Redundant "Rules-Requires-Root: no"
  * Add cmake and libeigen3-dev to B-D
  * Drop myself from uploaders

 -- Nilesh Patra <nilesh@debian.org>  Sun, 02 Nov 2025 22:24:36 +0530
