=== debian/control ===
--- 
+++ 
@@ -2,13 +2,11 @@
 Section: libdevel
 Priority: optional
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Nilesh Patra <nilesh@debian.org>
-Build-Depends: debhelper-compat (= 13)
-Standards-Version: 4.5.1
+Build-Depends: debhelper-compat (= 13), cmake, libeigen3-dev
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/science-team/lbfgspp
 Vcs-Git: https://salsa.debian.org/science-team/lbfgspp.git
 Homepage: https://github.com/yixuan/LBFGSpp
-Rules-Requires-Root: no
 
 Package: liblbfgspp-dev
 Architecture: all
